﻿Public Class Form1
  Dim CW As Double = Me.Width ' Current Width
  Dim CH As Double = Me.Height ' Current Height
  Dim IW As Double = Me.Width ' Initial Width
  Dim IH As Double = Me.Height ' Initial Height
  Dim hPlot1 As Integer, hPlot2 As Integer, hPlot3 As Integer
  Dim hText1 As Integer, hText2 As Integer
  Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
    Dim a(99) As Single
    Dim b(99) As Single
    Dim i As Integer
    For i = 0 To 99
      a(i) = Rnd() * 100
      b(i) = Rnd() * 200
    Next

    If hPlot1 < 0 Then
      hPlot1 = Acop1.Draw(a)
      hText1 = Acop1.PrintText("Curve 1", 80, 440)
      Acop1.SetForeground(Color.Blue)
      hPlot2 = Acop1.Draw(b)
      hText2 = Acop1.PrintText("Curve 2", 80, 380)
    Else
      Acop1.RefreshScreen(a, hPlot1)
      Acop1.RefreshScreen(b, hPlot2)
    End If
  End Sub
  Private acoptip As New ToolTip()
  Private a2lab(99) As String ' use for tooltip text in MouseMove ...
  Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
    Dim i As Integer
    Dim a(99) As Single
    Dim al(99) As String
    For i = 0 To 99
      a(i) = Rnd() * 100
    Next
    Acop2.ClearScreen(-1, 5)
    Acop2.Draw(a, a2lab)
  End Sub

  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    Dim i As Integer
    hPlot1 = -1
    hPlot2 = -1
    hPlot3 = -1
    For i = 0 To 99
      a2lab(i) = "Element " + Str(i)
    Next
    CW = Me.Width
    CH = Me.Height
    IW = Me.Width
    IH = Me.Height
  End Sub

  Private Sub Acop1_acopClicked(sender As Object, e As AcopChart.AcopEvent) Handles Acop1.acopClicked
    Debug.Print("clicked at index " + Str(e.getArrayIndex()))
  End Sub
  Private npts As Integer
  Private Function GetUtcNow() As Integer
    Dim startDate As New DateTime(1970, 1, 1) ' get UTC seconds
    GetUtcNow = (Date.Now - startDate).TotalSeconds
  End Function
  Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
    If hPlot3 < 0 Then
      Acop3.XMax = GetUtcNow()
      Acop3.XMin = Acop3.XMax - 100
      hPlot3 = Acop3.Draw(Rnd() * 30, Acop3.XMax, 1, 100)
    End If
    Timer1.Enabled = True
  End Sub

  Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
    If hPlot3 < 0 Then Exit Sub
    Acop3.AppendScreen(Rnd() * 30, hPlot3, GetUtcNow())
  End Sub
  Private lastIndex As Integer
  Private Sub Acop2_acopMsMove(sender As Object, e As AcopChart.AcopEvent) Handles Acop2.acopMsMove
    lastIndex = e.GetArrayIndex()
    Acop2.ToolTipText = a2lab(lastIndex)
  End Sub

  Private Sub Form1_Resize(sender As Object, e As EventArgs) Handles MyBase.Resize
    Dim RW As Double = (Me.Width - CW) / CW ' Ratio change of width
    Dim RH As Double = (Me.Height - CH) / CH ' Ratio change of height

    For Each Ctrl As Control In Controls
      Ctrl.Width += CInt(Ctrl.Width * RW)
      Ctrl.Height += CInt(Ctrl.Height * RH)
      Ctrl.Left += CInt(Ctrl.Left * RW)
      Ctrl.Top += CInt(Ctrl.Top * RH)
    Next

    CW = Me.Width
    CH = Me.Height
  End Sub

  Private Sub CheckBox1_Click(sender As Object, e As EventArgs) Handles CheckBox1.Click
    Acop3.AbsoluteTimeDisplay = CheckBox1.Checked
  End Sub

End Class
